Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.web
Class BaseWebConfiguration

    java.lang.Object
      org.apache.commons.configuration.event.EventSource
          org.apache.commons.configuration.AbstractConfiguration
              org.apache.commons.configuration.web.BaseWebConfiguration

All Implemented Interfaces:
  Configuration

Direct Known Subclasses:
  AppletConfiguration, ServletConfiguration, ServletContextConfiguration, ServletFilterConfiguration, ServletRequestConfiguration

    abstract class BaseWebConfiguration

extends AbstractConfiguration

An abstract base class for all web configurations.

This class implements common functionality used by all web based configurations. E.g. some methods are not supported by configurations of this type, so they throw a `UnsupportedOperationException` exception.

Since:
  1.2
Version:
  $Id: BaseWebConfiguration.java 439648 2006-09-02 20:42:10Z oheger $
Author:
  Oliver Heger

Field Summary

Fields inherited from class org.apache.commons.configuration.AbstractConfiguration
`END_TOKEN, EVENT_ADD_PROPERTY, EVENT_CLEAR, EVENT_CLEAR_PROPERTY, EVENT_SET_PROPERTY, START_TOKEN`

Constructor Summary
`BaseWebConfiguration()`

Method Summary
`protected void` | `addPropertyDirect(String key, Object obj)` Adds a property to this configuration.
`void` | `clearProperty(String key)` Removes the property with the given key.
`boolean` | `containsKey(String key)` Checks whether the specified key is stored in this configuration.
`boolean` | `isEmpty()` Checks if this configuration is empty.

Methods inherited from class org.apache.commons.configuration.AbstractConfiguration
`addProperty, clear, clearPropertyDirect, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDefaultListDelimiter, getDelimiter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getKeys, getKeys, getList, getList, getListDelimiter, getLong, getLong, getLong, getProperties, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, interpolate, interpolate, interpolateHelper, isDelimiterParsingDisabled, isThrowExceptionOnMissing, resolveContainerStore, setDefaultListDelimiter, setDelimiter, setDelimiterParsingDisabled, setListDelimiter, setProperty, setThrowExceptionOnMissing, subset`

Methods inherited from class org.apache.commons.configuration.event.EventSource
`addConfigurationListener, clearConfigurationListeners, createEvent, fireEvent, getConfigurationListeners, isDetailEvents, removeConfigurationListener, setDetailEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.configuration.Configuration
`getProperty`

Constructor Detail

### BaseWebConfiguration

    BaseWebConfiguration()

Method Detail

### isEmpty

    public boolean isEmpty()

  Checks if this configuration is empty. This implementation makes use of the `getKeys()` method (which must be defined by concrete sub classes) to find out whether properties exist.

  Specified by:
    `isEmpty` in interface `Configuration`
  Specified by:
    `isEmpty` in class `AbstractConfiguration`
  Returns:
    a flag whether this configuration is empty

### containsKey

    public boolean containsKey(String key)

  Checks whether the specified key is stored in this configuration.

  Specified by:
    `containsKey` in interface `Configuration`
  Specified by:
    `containsKey` in class `AbstractConfiguration`
  Parameters:
    `key` - the key
  Returns:
    a flag whether this key exists in this configuration

### clearProperty

    public void clearProperty(String key)

  Removes the property with the given key. This operation is not supported and will throw an UnsupportedOperationException.

  Specified by:
    `clearProperty` in interface `Configuration`
  Overrides:
    `clearProperty` in class `AbstractConfiguration`
  Parameters:
    `key` - the key of the property to be removed
  Throws:
    `UnsupportedOperationException` - because this operation is not allowed

### addPropertyDirect

    protected void addPropertyDirect(String key,
                                     Object obj)

  Adds a property to this configuration. This operation is not supported and will throw an UnsupportedOperationException.

  Specified by:
    `addPropertyDirect` in class `AbstractConfiguration`
  Parameters:
    `key` - the key of the property
    `obj` - the value to be added
  Throws:
    `UnsupportedOperationException` - because this operation is not allowed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.